Skip to main content

Integrations Actions

https://api.losant.com/applications/APPLICATION_ID/integrations

Below are the various requests that can be performed against the Integrations resource, as well as the expected parameters and the potential responses.

Get

Returns the integrations for an application

Method And Url

GET https://api.losant.com/applications/APPLICATION_ID/integrations

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Application.read, all.Organization, all.Organization.bounded, all.Organization.read, all.User, all.User.bounded, all.User.read, integrations.*, or integrations.get.

Request Path Components

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Query Parameters

NameRequiredDescriptionDefaultExample
sortFieldNField to sort the results by. Accepted values are: name, id, creationDate, integrationType, lastUpdatednamesortField=name
sortDirectionNDirection to sort the results by. Accepted values are: asc, descascsortDirection=asc
pageNWhich page of results to return0page=0
perPageNHow many items to return per page100perPage=10
filterFieldNField to filter the results by. Blank or not provided means no filtering. Accepted values are: name, integrationTypefilterField=integrationType
filterNFilter to apply against the filtered field. Supports globbing. Blank or not provided means no filtering.filter=my*integration

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X GET \
https://api.losant.com/applications/APPLICATION_ID/integrations

Successful Responses

CodeTypeDescription
200IntegrationsCollection of integrations

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Post

Create a new integration for an application

Method And Url

POST https://api.losant.com/applications/APPLICATION_ID/integrations

Authentication

A valid API access token is required to access this endpoint. The token must include at least one of the following scopes: all.Application, all.Application.bounded, all.Organization, all.Organization.bounded, all.User, all.User.bounded, integrations.*, or integrations.post.

Request Path Components

Path ComponentDescriptionExample
APPLICATION_IDID associated with the application575ec8687ae143cd83dc4a97

Request Headers

NameRequiredDescriptionDefault
AuthorizationYThe token for authenticating the request, prepended with Bearer

Request Body

The body of the request should be serialized JSON that validates against the Integration Post schema. For example, the following would be a valid body for this request:

{
"name": "Example Integrations",
"integrationType": "mqtt",
"topics": [
"myTopic"
],
"mqttConfig": {
"clientId": "exampleClientId",
"username": "exampleUsername",
"password": "examplePassword",
"port": 8883,
"protocol": "mqtts",
"host": "broker.example.com"
}
}

Curl Example

curl -H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Authorization: Bearer YOUR_API_ACCESS_TOKEN' \
-X POST \
-d '{"name":"Example Integrations","integrationType":"mqtt","topics":["myTopic"],"mqttConfig":{"clientId":"exampleClientId","username":"exampleUsername","password":"examplePassword","port":8883,"protocol":"mqtts","host":"broker.example.com"}}' \
https://api.losant.com/applications/APPLICATION_ID/integrations

Successful Responses

CodeTypeDescription
201IntegrationSuccessfully created integration

Error Responses

CodeTypeDescription
400ErrorError if malformed request
404ErrorError if application was not found

Schemas

Error

Schema for errors returned by the API

Error Schema

  • {} 3 keys
    • "http://json-schema.org/draft-07/schema#"
    • "object"
    • {} 3 keys
      • {} 1 key
        • {} 1 key
          • {} 2 keys

        Error Example

        • {} 2 keys
          • "NotFound"
          • "Application was not found"

        Integration

        Schema for a single Integration

        Integration Schema

        • {} 3 keys
          • "http://json-schema.org/draft-07/schema#"
          • "object"
          • {} 17 keys
            • {} 2 keys
              • {} 2 keys
                • {} 2 keys
                  • {} 2 keys
                    • {} 2 keys
                      • {} 3 keys
                        • {} 3 keys
                          • {} 2 keys
                            • {} 1 key
                              • {} 3 keys
                                • {} 4 keys
                                  • {} 3 keys
                                    • {} 4 keys
                                      • {} 4 keys
                                        • {} 4 keys
                                          • {} 4 keys
                                            • {} 2 keys

                                          Integration Example

                                          • {} 11 keys
                                            • "58ec07f20c747f65243d0d76"
                                            • "58ec07f20c747f65243d0d76"
                                            • "575ec8687ae143cd83dc4a97"
                                            • "2016-06-13T04:00:00.000Z"
                                            • "2016-06-13T04:00:00.000Z"
                                            • "Example Integrations"
                                            • "mqtt"
                                            • true
                                            • [] 1 item
                                              • {} 6 keys
                                                • {} 3 keys

                                                Integration Post

                                                Schema for the body of an Integration creation request

                                                Integration Post Schema

                                                • {} 5 keys
                                                  • "http://json-schema.org/draft-07/schema#"
                                                  • "object"
                                                  • {} 11 keys
                                                    • {} 3 keys
                                                      • {} 2 keys
                                                        • {} 1 key
                                                          • {} 3 keys
                                                            • {} 3 keys
                                                              • {} 4 keys
                                                                • {} 3 keys
                                                                  • {} 4 keys
                                                                    • {} 4 keys
                                                                      • {} 4 keys
                                                                        • {} 4 keys
                                                                        • false
                                                                        • [] 2 items

                                                                        Integration Post Example

                                                                        • {} 4 keys
                                                                          • "Example Integrations"
                                                                          • "mqtt"
                                                                          • [] 1 item
                                                                            • {} 6 keys

                                                                            Integrations

                                                                            Schema for a collection of Integrations

                                                                            Integrations Schema

                                                                            • {} 3 keys
                                                                              • "http://json-schema.org/draft-07/schema#"
                                                                              • "object"
                                                                              • {} 10 keys
                                                                                • {} 2 keys
                                                                                  • {} 1 key
                                                                                    • {} 1 key
                                                                                      • {} 1 key
                                                                                        • {} 1 key
                                                                                          • {} 1 key
                                                                                            • {} 1 key
                                                                                              • {} 1 key
                                                                                                • {} 2 keys
                                                                                                  • {} 2 keys

                                                                                                Integrations Example

                                                                                                • {} 8 keys
                                                                                                  • [] 1 item
                                                                                                    • 1
                                                                                                    • 4
                                                                                                    • 1
                                                                                                    • 0
                                                                                                    • "name"
                                                                                                    • "asc"
                                                                                                    • "575ec8687ae143cd83dc4a97"

                                                                                                  Was this page helpful?


                                                                                                  Still looking for help? You can also search the Losant Forums or submit your question there.